Bug 810064 - [abrt] anjuta-3.2.0-1.fc16: gdk_window_get_frame_extents: Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
[abrt] anjuta-3.2.0-1.fc16: gdk_window_get_frame_extents: Process /usr/bin/an...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
abrt_hash:5b84baafaa7b6b41a874eaaed6d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 23:18 EDT by Weparo
Modified: 2013-04-30 18:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:54:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (8.77 KB, text/plain)
2012-04-04 23:18 EDT, Weparo
no flags Details
File: maps (27.41 KB, text/plain)
2012-04-04 23:18 EDT, Weparo
no flags Details
File: backtrace (19.21 KB, text/plain)
2012-04-04 23:18 EDT, Weparo
no flags Details

  None (edit)
Description Weparo 2012-04-04 23:18:16 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 3
cmdline:        anjuta
crash_function: gdk_window_get_frame_extents
executable:     /usr/bin/anjuta
kernel:         3.3.0-8.fc16.i686
pid:            6545
pwd:            /home/robert
reason:         Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
time:           Wed 04 Apr 2012 09:10:54 PM MDT
uid:            1000
username:       robert

backtrace:      Text file, 19676 bytes
dso_list:       Text file, 8976 bytes
maps:           Text file, 28070 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=weparo.netbook
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8855b303fd259c616d40f25a00000063-1333571000.804934-848869987
:GNOME_KEYRING_CONTROL=/tmp/keyring-Xt1DMD
:IMSETTINGS_MODULE=none
:USER=robert
:USERNAME=robert
:MAIL=/var/spool/mail/robert
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/robert/.local/bin:/home/robert/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/robert
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1233
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/robert
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=robert
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-TxF4vANmrD,guid=c1aa83253355b635dc9ff72f0000003c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/robert
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-robert-yVC3QZ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1238,unix/unix:/tmp/.ICE-unix/1238
:GPG_AGENT_INFO=/tmp/keyring-Xt1DMD/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-Xt1DMD/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1451-weparo.netbook-anjuta-20_TIME24183467
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-anjuta.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=6545

smolt_data:
:
:
:General
:=================================
:UUID: 4897ca18-7bfa-4c80-9587-68c8d562521c
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3192.14
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU N270   @ 1.60GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1600
:System Memory: 2007
:System Swap: 2872
:Vendor: SAMSUNG ELECTRONICS CO., LTD.
:System: N130 Not Applicable
:Form factor: Notebook
:Kernel: 3.3.0-8.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5772:43:5199:29031) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:10158:5197:49245) pci, i915, VIDEO, Mobile 945GME Express Integrated Graphics Controller
:(32902:10150:5197:49245) pci, None, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
:(32902:10192:5197:49245) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10169:5197:49245) pci, None, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(32902:10200:5197:49245) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10196:5197:49245) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:5197:49245) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:5197:49245) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10180:5197:49245) pci, ata_piix, STORAGE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller
:(32902:10185:5197:49245) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:5197:49245) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10156:5197:49245) pci, agpgart-intel, HOST/PCI, Mobile 945GME Express Memory Controller Hub
:(32902:10186:5197:49245) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:5197:49245) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:5197:49245) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_weparo-lv_root / ext4 4096 4096 13092026 11499786 11368754 3276800 3111062 3111062
:/dev/sda1 /boot ext4 1024 1024 508745 410716 385116 128016 127739 127739
:/dev/mapper/vg_weparo-lv_home /home ext4 4096 4096 20292237 2987164 1970947 5087232 5067905 5067905
:

var_log_messages:
:Apr  4 21:10:54 weparo kernel: [24513.386859] anjuta[6545]: segfault at 0 ip   (null) sp bf97a71c error 4 in libcanberra-gtk3.so.0.1.8[1d3000+4000]
:Apr  4 21:10:56 weparo abrt[6616]: Saved core dump of pid 6545 (/usr/bin/anjuta) to /var/spool/abrt/ccpp-2012-04-04-21:10:54-6545 (115654656 bytes)

xsession_errors:
:(anjuta:6438): Gtk-CRITICAL **: gtk_settings_set_long_property: assertion `GTK_SETTINGS (settings)' failed
:(anjuta:6438): Gtk-CRITICAL **: gtk_settings_set_long_property: assertion `GTK_SETTINGS (settings)' failed
:(anjuta:6438): Gtk-CRITICAL **: gtk_settings_set_long_property: assertion `GTK_SETTINGS (settings)' failed
:(anjuta:6438): Gtk-CRITICAL **: gtk_settings_set_long_property: assertion `GTK_SETTINGS (settings)' failed
:(anjuta:6438): Gtk-CRITICAL **: gtk_settings_set_long_property: assertion `GTK_SETTINGS (settings)' failed
:(anjuta:6438): Gtk-WARNING **: Theme parsing error: gtk.css:56:46: Unknown value 'GTK_SHADOW_NONE' for enum type 'GtkShadowType'
:(anjuta:6545): Gtk-CRITICAL **: gtk_settings_set_long_property: assertion `GTK_SETTINGS (settings)' failed
:(anjuta:6545): Gtk-CRITICAL **: gtk_settings_set_long_property: assertion `GTK_SETTINGS (settings)' failed
:(anjuta:6545): Gtk-CRITICAL **: gtk_settings_set_long_property: assertion `GTK_SETTINGS (settings)' failed
:(anjuta:6545): Gtk-CRITICAL **: gtk_settings_set_long_property: assertion `GTK_SETTINGS (settings)' failed
:(anjuta:6545): Gtk-CRITICAL **: gtk_settings_set_long_property: assertion `GTK_SETTINGS (settings)' failed
:(anjuta:6545): Gtk-WARNING **: Theme parsing error: gtk.css:56:46: Unknown value 'GTK_SHADOW_NONE' for enum type 'GtkShadowType'
:(anjuta:6545): Gtk-CRITICAL **: gtk_widget_get_allocation: assertion `GTK_IS_WIDGET (widget)' failed
:(anjuta:6545): Gtk-CRITICAL **: gtk_widget_get_allocation: assertion `GTK_IS_WIDGET (widget)' failed
:(anjuta:6545): Gtk-CRITICAL **: gtk_widget_get_allocation: assertion `GTK_IS_WIDGET (widget)' failed
:(anjuta:6545): Gtk-CRITICAL **: gtk_widget_get_allocation: assertion `GTK_IS_WIDGET (widget)' failed
:	AnjutaPkgConfigChooser	needs an icon named 'widget-anjuta-pkg_config_chooser'
:	AnjutaDropEntry	needs an icon named 'widget-anjuta-dropentry'
:	AnjutaColumnTextView	needs an icon named 'widget-anjuta-columntextview'
:	AnjutaFileList	needs an icon named 'widget-anjuta-filelist'
:	AnjutaFileDropEntry	needs an icon named 'widget-anjuta-filedropentry'
:	AnjutaEnvironmentEditor	needs an icon named 'widget-anjuta-environment_editor'
:	AnjutaEntry	needs an icon named 'widget-anjuta-entry'
:	AnjutaVcsStatusTreeView	needs an icon named 'widget-anjuta-vcsstatus'
Comment 1 Weparo 2012-04-04 23:18:19 EDT
Created attachment 575263 [details]
File: dso_list
Comment 2 Weparo 2012-04-04 23:18:21 EDT
Created attachment 575264 [details]
File: maps
Comment 3 Weparo 2012-04-04 23:18:22 EDT
Created attachment 575265 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-01-16 07:34:42 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 07:54:55 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.